<?php
/**
 * Movers Company functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Movers Company
 */

define( 'MOVERS_COMPANY_URL', trailingslashit( get_template_directory_uri() ) );

if ( ! function_exists( 'movers_company_setup' ) ) {

	load_theme_textdomain( 'movers-company', get_template_directory() . '/languages' );

	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 *
	 * @since 1.0.0
	 *
	 * @return void
	 */
	function movers_company_setup() {

		// Add theme support
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'editor-styles' );
		add_theme_support( 'html5', array( 'comment-form', 'comment-list' ) );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'customize-selective-refresh-widgets' );

		require get_template_directory() .'/inc/core/main.php';
	}
}
add_action( 'after_setup_theme', 'movers_company_setup' );

/**
 * Enqueue scripts and styles
 */
function movers_company_scripts() {
	$version = wp_get_theme( 'movers-company' )->get( 'Version' );
	// Stylesheet
	wp_enqueue_style( 'movers-company-styles', get_theme_file_uri( '/style.css' ), array(), $version );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/assets/css/animate.css', array(), $version, 'all' );

	if ( file_exists( get_template_directory() . '/assets/css/theme-style.css' ) ) {
		wp_enqueue_style( 'movers-company-theme-style', get_template_directory_uri() . '/assets/css/theme-style.css',  array(), $version );
	}

	$deps = array( 'movers-company-animate' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	if (is_rtl()) {
	    wp_enqueue_style( 'rtl-css', get_template_directory_uri() . '/assets/css/rtl.css', 'rtl_css' );
	}

	wp_enqueue_style( 'fontawesome-style', esc_url(get_template_directory_uri()).'/assets/fontawesome/css/all.css' );

	// Scripts
	$deps = array( 'jquery' );
	wp_enqueue_script( 'animate', get_template_directory_uri() . '/assets/js/animate.js', $deps, $version );

}
add_action( 'wp_enqueue_scripts', 'movers_company_scripts' );

function movers_company_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('movers-company-welcome-notice', get_template_directory_uri() . '/inc/core/movers-company-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('movers-company-welcome-notice', 'movers_company_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('movers_company_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('movers_company_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=movers-company-guide-page')
    ));
}
add_action('admin_enqueue_scripts', 'movers_company_enqueue_admin_script');
add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

/**
 * Add editor styles
 */
function movers_company_editor_style() {
    wp_enqueue_style( 'movers-company-editor-style', get_template_directory_uri() . '/assets/css/editor-style.css' );
}
add_action( 'enqueue_block_assets', 'movers_company_editor_style' );

/**
 * Enqueue assets scripts for both backend and frontend
 */
function movers_company_block_assets(){
    wp_enqueue_style( 'movers-company-blocks-style', get_template_directory_uri() . '/assets/css/blocks.css' );
}
add_action( 'enqueue_block_assets', 'movers_company_block_assets' );

/**
 * Load core file
 */
require get_theme_file_path( '/inc/core/init.php' );

/**
 * Getstart
 */

require get_template_directory() .'/inc/core/customizer-notice/movers-company-customizer-notify.php';

load_template( trailingslashit( get_template_directory() ) . '/inc/core/class-upgrade-pro.php' );